For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order Comment

Retrieve order comment

get

Retrieve a specific order comment by ID

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Order comment successfully retrieved

application/json
created_datestring · date-timeRead-onlyOptional

Date and time the order comment was created

modified_datestring · date-timeRead-onlyOptional

Date and time the order comment was last modified

pkintegerRead-onlyOptional

Primary key of the order comment

commentstringOptional

Comment of the order comment

orderintegerOptional

ID of the order

created_byintegerRead-onlyOptional

ID of the created by user

get/api/v1/order_comments/{id}/
GET /api/v1/order_comments/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "comment": "text",
  "order": 1,
  "created_by": 1,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List order comments

get

List all order comments

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
idintegerOptional

Filters by id

ordernumberOptional

Filter by order ID.

Example: 123
commentstringOptional

Filter by comment

order_numberstringOptional

Filter by order number

Example: ORD123456
created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
modified_datestring · date-timeOptional

Filter by modification date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: modified_date__lt=2024-01-01T00:00:00Z
created_byintegerOptional

ID of the user who created the cancellation plan

Example: 1
pkintegerOptional

Filters by primary key

pk__gtstringOptional

Filter by primary key greater than a specific value.

pk__gteintegerOptional

Filters by primary key greater than or equal to the given value

pk__ltintegerOptional

Filters by primary key less than the given value

pk__lteintegerOptional

Filters by primary key less than or equal to the given value

order_idintegerOptional

Order ID

created_by_emailstringOptional

Filter by created by email

Responses
200

Order comments successfully listed

application/json
countintegerOptional

Total number of results.

nextstring · uri · nullableOptional

URL of the next page of results.

previousstring · uri · nullableOptional

URL of the previous page of results.

get/api/v1/order_comments/
GET /api/v1/order_comments/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Create order comment

post

Create a new order comment

Authorizations
AuthorizationstringRequired
Body
created_datestring · date-timeRead-onlyOptional

Date and time the order comment was created

modified_datestring · date-timeRead-onlyOptional

Date and time the order comment was last modified

pkintegerRead-onlyOptional

Primary key of the order comment

commentstringOptional

Comment of the order comment

orderintegerOptional

ID of the order

created_byintegerRead-onlyOptional

ID of the created by user

Responses
201

Order comment successfully created

application/json
created_datestring · date-timeRead-onlyOptional

Date and time the order comment was created

modified_datestring · date-timeRead-onlyOptional

Date and time the order comment was last modified

pkintegerRead-onlyOptional

Primary key of the order comment

commentstringOptional

Comment of the order comment

orderintegerOptional

ID of the order

created_byintegerRead-onlyOptional

ID of the created by user

post/api/v1/order_comments/
POST /api/v1/order_comments/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "comment": "text",
  "order": 1,
  "modified_date": "2026-01-01T00:00:00.000Z"
}
{
  "pk": 1,
  "comment": "text",
  "order": 1,
  "created_by": 1,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?